Package org.wildfly.plugin.deployment

## Enum MatchPatternStrategy

- java.lang.Object
- - java.lang.Enum<MatchPatternStrategy>
  - - org.wildfly.plugin.deployment.MatchPatternStrategy

- All Implemented Interfaces:
    `Serializable`, `Comparable<MatchPatternStrategy>`

      public enum MatchPatternStrategy
      extends Enum<MatchPatternStrategy>

  The strategy used when using a pattern to undeploy deployments.
  Since:
    27.06.13 08:08
  Author:
    Mark Paluch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Undeploy all deployments matching the pattern.
    `FAIL` | Fail if more than one deployment matches the pattern.
    `FIRST` | Undeploy the first matching deployment.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MatchPatternStrategy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MatchPatternStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final MatchPatternStrategy FIRST

      Undeploy the first matching deployment. The first deployment is determined by natural ordering of the deployment names.

    - #### ALL

          public static final MatchPatternStrategy ALL

      Undeploy all deployments matching the pattern.

    - #### FAIL

          public static final MatchPatternStrategy FAIL

      Fail if more than one deployment matches the pattern.

  - ### Method Detail

    - #### values

          public static MatchPatternStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MatchPatternStrategy c : MatchPatternStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MatchPatternStrategy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null